<html>
<head>
<title>Ogre::GLSLESProgramManagerCommon Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html">GLSLESProgramManagerCommon</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLSLESProgramManagerCommon Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLSLESProgramManagerCommon" -->
<p><a class="el" href="namespaceOgre.html">Ogre</a> assumes that there are separate vertex and fragment programs to deal with but GLSL ES has one program object that represents the active vertex and fragment shader objects during a rendering state.  
 <a href="classOgre_1_1GLSLESProgramManagerCommon.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html">OgreGLSLESProgramManagerCommon.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLSLESProgramManagerCommon:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLSLESProgramManagerCommon__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLSLESProgramManagerCommon_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLSLESProgramManagerCommon_inherit__map" id="Ogre_1_1GLSLESProgramManagerCommon_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1GLSLESLinkProgramManager.html" title="Ogre assumes that there are separate vertex and fragment programs to deal with but GLSL ES has one pr..." alt="" coords="5,83,237,112"/><area shape="rect" id="node5" href="classOgre_1_1GLSLESProgramPipelineManager.html" title="Ogre assumes that there are separate vertex and fragment programs to deal with but GLSL ES has one pr..." alt="" coords="261,83,515,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLSLESProgramManagerCommon-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a23d1164afc80a029084e3687afb03095">GLSLESProgramManagerCommon</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a59bc7b35fe03a29353a2e7bc642d424a">~GLSLESProgramManagerCommon</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a8bf100ce684eddb08d22ffd4051370df">optimiseShaderSource</a> (<a class="el" href="classOgre_1_1GLSLESGpuProgram.html">GLSLESGpuProgram</a> *gpuProgram)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a6a67a50e5cda21f7965096b10780bc8e">extractUniforms</a> (GLuint programObject, const <a class="el" href="group__Materials.html#ga90b266af540c4396c8c18ac2c43fd0f3">GpuConstantDefinitionMap</a> *vertexConstantDefs, const <a class="el" href="group__Materials.html#ga90b266af540c4396c8c18ac2c43fd0f3">GpuConstantDefinitionMap</a> *fragmentConstantDefs, <a class="el" href="namespaceOgre.html#a24aca8d208dcf62fbe3bee9e759ac73d">GLUniformReferenceList</a> &amp;<a class="el" href="structOgre_1_1list.html">list</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Populate a list of uniforms based on a program object.  <a href="#a6a67a50e5cda21f7965096b10780bc8e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#ab2c2b27a95604608ac39d32795d55301">extractConstantDefs</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;src, <a class="el" href="structOgre_1_1GpuNamedConstants.html">GpuNamedConstants</a> &amp;constantDefs, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Populate a list of uniforms based on GLSL ES source.  <a href="#ab2c2b27a95604608ac39d32795d55301"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, GLenum &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a7384fc46c60ddbd4e0070942dfaf6850">StringToEnumMap</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#aa8fb539b7b3019177e4767a6e1c9da47">completeDefInfo</a> (GLenum gltype, <a class="el" href="structOgre_1_1GpuConstantDefinition.html">GpuConstantDefinition</a> &amp;defToUpdate)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Use type to complete other information.  <a href="#aa8fb539b7b3019177e4767a6e1c9da47"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a62b5aa3fdef96353b09cf441f847497e">completeParamSource</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;paramName, const <a class="el" href="group__Materials.html#ga90b266af540c4396c8c18ac2c43fd0f3">GpuConstantDefinitionMap</a> *vertexConstantDefs, const <a class="el" href="group__Materials.html#ga90b266af540c4396c8c18ac2c43fd0f3">GpuConstantDefinitionMap</a> *fragmentConstantDefs, <a class="el" href="structOgre_1_1GLUniformReference.html">GLUniformReference</a> &amp;refToUpdate)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find where the data for a specific uniform should come from, populate.  <a href="#a62b5aa3fdef96353b09cf441f847497e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLSLESGpuProgram.html">GLSLESGpuProgram</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#ad6a666ba0e4312cec7113fe617d951e3">mActiveVertexGpuProgram</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Active objects defining the active rendering gpu state.  <a href="#ad6a666ba0e4312cec7113fe617d951e3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLSLESGpuProgram.html">GLSLESGpuProgram</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a11183e2ef747ebb357d7d3d28b5d95df">mActiveFragmentGpuProgram</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a7384fc46c60ddbd4e0070942dfaf6850">StringToEnumMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#afeddc48851b31cceed65f7d0ad879180">mTypeEnumMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct glslopt_ctx *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a014c27ca722e63bd51ab750558103b38">mGLSLOptimiserContext</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="namespaceOgre.html">Ogre</a> assumes that there are separate vertex and fragment programs to deal with but GLSL ES has one program object that represents the active vertex and fragment shader objects during a rendering state. </p>
<p>GLSL Vertex and fragment shader objects are compiled separately and then attached to a program object and then the program object is linked. Since <a class="el" href="namespaceOgre.html">Ogre</a> can only handle one vertex program and one fragment program being active in a pass, the GLSL ES Link Program Manager does the same. The GLSL ES Link program manager acts as a state machine and activates a program object based on the active vertex and fragment program. Previously created program objects are stored along with a unique key in a hash_map for quick retrieval the next time the program object is required. </p>

<p>Definition at line <a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html#l00054">54</a> of file <a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html">OgreGLSLESProgramManagerCommon.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a7384fc46c60ddbd4e0070942dfaf6850"></a><!-- doxytag: member="Ogre::GLSLESProgramManagerCommon::StringToEnumMap" ref="a7384fc46c60ddbd4e0070942dfaf6850" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, GLenum&gt;::type <a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a7384fc46c60ddbd4e0070942dfaf6850">Ogre::GLSLESProgramManagerCommon::StringToEnumMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1GLSLESLinkProgramManager.html#abf805003d882f3d41d601862cc70d66d">Ogre::GLSLESLinkProgramManager</a>.</p>

<p>Definition at line <a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html#l00061">61</a> of file <a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html">OgreGLSLESProgramManagerCommon.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a23d1164afc80a029084e3687afb03095"></a><!-- doxytag: member="Ogre::GLSLESProgramManagerCommon::GLSLESProgramManagerCommon" ref="a23d1164afc80a029084e3687afb03095" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a23d1164afc80a029084e3687afb03095">Ogre::GLSLESProgramManagerCommon::GLSLESProgramManagerCommon</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a59bc7b35fe03a29353a2e7bc642d424a"></a><!-- doxytag: member="Ogre::GLSLESProgramManagerCommon::~GLSLESProgramManagerCommon" ref="a59bc7b35fe03a29353a2e7bc642d424a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a59bc7b35fe03a29353a2e7bc642d424a">Ogre::GLSLESProgramManagerCommon::~GLSLESProgramManagerCommon</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa8fb539b7b3019177e4767a6e1c9da47"></a><!-- doxytag: member="Ogre::GLSLESProgramManagerCommon::completeDefInfo" ref="aa8fb539b7b3019177e4767a6e1c9da47" args="(GLenum gltype, GpuConstantDefinition &amp;defToUpdate)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#aa8fb539b7b3019177e4767a6e1c9da47">Ogre::GLSLESProgramManagerCommon::completeDefInfo</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>gltype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structOgre_1_1GpuConstantDefinition.html">GpuConstantDefinition</a> &amp;&#160;</td>
          <td class="paramname"><em>defToUpdate</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Use type to complete other information. </p>

</div>
</div>
<a class="anchor" id="a62b5aa3fdef96353b09cf441f847497e"></a><!-- doxytag: member="Ogre::GLSLESProgramManagerCommon::completeParamSource" ref="a62b5aa3fdef96353b09cf441f847497e" args="(const String &amp;paramName, const GpuConstantDefinitionMap *vertexConstantDefs, const GpuConstantDefinitionMap *fragmentConstantDefs, GLUniformReference &amp;refToUpdate)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a62b5aa3fdef96353b09cf441f847497e">Ogre::GLSLESProgramManagerCommon::completeParamSource</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>paramName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__Materials.html#ga90b266af540c4396c8c18ac2c43fd0f3">GpuConstantDefinitionMap</a> *&#160;</td>
          <td class="paramname"><em>vertexConstantDefs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__Materials.html#ga90b266af540c4396c8c18ac2c43fd0f3">GpuConstantDefinitionMap</a> *&#160;</td>
          <td class="paramname"><em>fragmentConstantDefs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structOgre_1_1GLUniformReference.html">GLUniformReference</a> &amp;&#160;</td>
          <td class="paramname"><em>refToUpdate</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find where the data for a specific uniform should come from, populate. </p>

</div>
</div>
<a class="anchor" id="ab2c2b27a95604608ac39d32795d55301"></a><!-- doxytag: member="Ogre::GLSLESProgramManagerCommon::extractConstantDefs" ref="ab2c2b27a95604608ac39d32795d55301" args="(const String &amp;src, GpuNamedConstants &amp;constantDefs, const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#ab2c2b27a95604608ac39d32795d55301">Ogre::GLSLESProgramManagerCommon::extractConstantDefs</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structOgre_1_1GpuNamedConstants.html">GpuNamedConstants</a> &amp;&#160;</td>
          <td class="paramname"><em>constantDefs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Populate a list of uniforms based on GLSL ES source. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">src</td><td>Reference to the source code </td></tr>
    <tr><td class="paramname">list</td><td>The defs to populate (will not be cleared before adding, clear it yourself before calling this if that's what you want). </td></tr>
    <tr><td class="paramname">filename</td><td>The file name this came from, for logging errors. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6a67a50e5cda21f7965096b10780bc8e"></a><!-- doxytag: member="Ogre::GLSLESProgramManagerCommon::extractUniforms" ref="a6a67a50e5cda21f7965096b10780bc8e" args="(GLuint programObject, const GpuConstantDefinitionMap *vertexConstantDefs, const GpuConstantDefinitionMap *fragmentConstantDefs, GLUniformReferenceList &amp;list)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a6a67a50e5cda21f7965096b10780bc8e">Ogre::GLSLESProgramManagerCommon::extractUniforms</a> </td>
          <td>(</td>
          <td class="paramtype">GLuint&#160;</td>
          <td class="paramname"><em>programObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__Materials.html#ga90b266af540c4396c8c18ac2c43fd0f3">GpuConstantDefinitionMap</a> *&#160;</td>
          <td class="paramname"><em>vertexConstantDefs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__Materials.html#ga90b266af540c4396c8c18ac2c43fd0f3">GpuConstantDefinitionMap</a> *&#160;</td>
          <td class="paramname"><em>fragmentConstantDefs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a24aca8d208dcf62fbe3bee9e759ac73d">GLUniformReferenceList</a> &amp;&#160;</td>
          <td class="paramname"><em>list</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Populate a list of uniforms based on a program object. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">programObject</td><td>Handle to the program object to query </td></tr>
    <tr><td class="paramname">vertexConstantDefs</td><td>Definition of the constants extracted from the vertex program, used to match up physical buffer indexes with program uniforms. May be null if there is no vertex program. </td></tr>
    <tr><td class="paramname">fragmentConstantDefs</td><td>Definition of the constants extracted from the fragment program, used to match up physical buffer indexes with program uniforms. May be null if there is no fragment program. </td></tr>
    <tr><td class="paramname">list</td><td>The list to populate (will not be cleared before adding, clear it yourself before calling this if that's what you want). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8bf100ce684eddb08d22ffd4051370df"></a><!-- doxytag: member="Ogre::GLSLESProgramManagerCommon::optimiseShaderSource" ref="a8bf100ce684eddb08d22ffd4051370df" args="(GLSLESGpuProgram *gpuProgram)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a8bf100ce684eddb08d22ffd4051370df">Ogre::GLSLESProgramManagerCommon::optimiseShaderSource</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLSLESGpuProgram.html">GLSLESGpuProgram</a> *&#160;</td>
          <td class="paramname"><em>gpuProgram</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a11183e2ef747ebb357d7d3d28b5d95df"></a><!-- doxytag: member="Ogre::GLSLESProgramManagerCommon::mActiveFragmentGpuProgram" ref="a11183e2ef747ebb357d7d3d28b5d95df" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLSLESGpuProgram.html">GLSLESGpuProgram</a>* <a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a11183e2ef747ebb357d7d3d28b5d95df">Ogre::GLSLESProgramManagerCommon::mActiveFragmentGpuProgram</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html#l00059">59</a> of file <a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html">OgreGLSLESProgramManagerCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad6a666ba0e4312cec7113fe617d951e3"></a><!-- doxytag: member="Ogre::GLSLESProgramManagerCommon::mActiveVertexGpuProgram" ref="ad6a666ba0e4312cec7113fe617d951e3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLSLESGpuProgram.html">GLSLESGpuProgram</a>* <a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#ad6a666ba0e4312cec7113fe617d951e3">Ogre::GLSLESProgramManagerCommon::mActiveVertexGpuProgram</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Active objects defining the active rendering gpu state. </p>

<p>Definition at line <a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html#l00058">58</a> of file <a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html">OgreGLSLESProgramManagerCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a014c27ca722e63bd51ab750558103b38"></a><!-- doxytag: member="Ogre::GLSLESProgramManagerCommon::mGLSLOptimiserContext" ref="a014c27ca722e63bd51ab750558103b38" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct glslopt_ctx* <a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a014c27ca722e63bd51ab750558103b38">Ogre::GLSLESProgramManagerCommon::mGLSLOptimiserContext</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html#l00064">64</a> of file <a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html">OgreGLSLESProgramManagerCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="afeddc48851b31cceed65f7d0ad879180"></a><!-- doxytag: member="Ogre::GLSLESProgramManagerCommon::mTypeEnumMap" ref="afeddc48851b31cceed65f7d0ad879180" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#a7384fc46c60ddbd4e0070942dfaf6850">StringToEnumMap</a> <a class="el" href="classOgre_1_1GLSLESProgramManagerCommon.html#afeddc48851b31cceed65f7d0ad879180">Ogre::GLSLESProgramManagerCommon::mTypeEnumMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1GLSLESLinkProgramManager.html#a630e270fbdf85b6d09fb21c06c427805">Ogre::GLSLESLinkProgramManager</a>.</p>

<p>Definition at line <a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html#l00062">62</a> of file <a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html">OgreGLSLESProgramManagerCommon.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLSLESProgramManagerCommon_8h_source.html">OgreGLSLESProgramManagerCommon.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:31
</p>
</body>
</html>
